Installing Code::Blocks nightly build on Ubuntu

From CodeBlocks

Jump to: navigation, search

This is a quick guide to get Code::Blocks up and running on your Ubuntu based Linux distribution. It is also going to make sure you can develop wxWidgets applications on your box as well. Look at the bottom of this guide for a complete command line that will install all the packages in one operation.

First be sure you have the necessary software to compile and debug programs.

1. Install the compiler.

sudo apt-get install build-essential

2. Install the debugger.

sudo apt-get install gdb

You'll need to install wxWidgets to use Codeblocks. Revisions from 4051 and after use wxWidgets 2.8.4. If you want to install them, make sure you have your universe and multiverse repositories enabled and install the following packages.

3. Install wxWidgets library. (This package is all that is needed to run any application that uses wxWidgets. ie. Code::Blocks)

sudo apt-get install libwxgtk2.8-0

4. Install the wxWidgets developement packages. (This is used to develop wxWidgets applications of your own.)

sudo apt-get install libwxgtk2.8-dev

5. (OPTIONAL) Install the wxWidgets documentation.

sudo apt-get install wx2.8-doc

Now go get the nightly build and install it. All dependencies should now be met.

1. Get the latest nigtly build of Code::Blocks from the nightly builds forum.

2. Install Code::Blocks.

sudo dpkg -i <Name_Of_Daily_Build.deb>

NOTE: Since revision 4281 and after, the nightly builds are made differently. Codeblocks is now packaged into separate Debian packages and the packages are archived together in a tar.gz file.

1. Download the tar.gz file to your computer and extract the files to an empty directory, such as one called temp for example.

tar xvf CB_date-of-build_revision-number_Ubuntu6.10+7.04_wx2.8.4.tar.gz

2. Install all the packages at the same time.

sudo dpkg -i *.deb

The packages can be installed individually, if you prefer not to install everything. The first package to install is libcodeblocks0 followed by the codeblocks package. All the other packages are optional. If you want to install the wxsmith and/or contrib packages, you must install the libwxsmithlib0 package first.

See also

Personal tools